Draft SelectPlane/sv

From FreeCAD Documentation
Revision as of 20:55, 29 May 2014 by Renatorivo (talk | contribs) (Created page with "====Beskrivning==== Detta verktyg väntar på att användaren ska markera en existerande yta i 3D vyn eller att välja ett av de förinställda planen. Arbetsplanet kommer d...")

Draft_Workingplane

Menyplacering
Drafting → SelectPlane
Arbetsbänkar
Skiss
Standard genväg
Ingen
Introducerad i version
-
Se även
Ingen

Beskrivning

Detta verktyg väntar på att användaren ska markera en existerande yta i 3D vyn eller att välja ett av de förinställda planen. Arbetsplanet kommer då att ställas in till det planet, och alla efterföljande 2D operationer kommer endast att hända på detta plan.

How to use

  1. Press the SelectPlane button. If your button doesn't look like this, see this note.

Options

  • To set the workplane to an existing face: select a face of an existing object in the 3D view, then press the SelectPlane button
  • Pressing the VIEW button will set the working plane as the view plane, perpendicular to the camera axis and passing through the (0,0,0) origin point.
  • Pressing the NONE will unset any current working plane. The next 2D operations will be view-dependent.
  • You can also specify an offset value, which will set your working plane at a certain distance from the plane you select.

Scripting

Working plane objects can easily be created and manipulated in scripts and macros. You can create your own, and use them independently of the current Draft working plane.

Example:

 import WorkingPlane
 myPlane = WorkingPlane.plane()

You can also access the current Draft working plane:

 import FreeCAD
 draftPlane = FreeCAD.DraftWorkingPlane

The working plane has a complete scripting API on its own, with convenience functions to position it and convert to/from placements.